# Method: networks.shipments.path.update

Changes the path of a shipment: instead of using the service-computed one, the state will contain the one set by the user through this call.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{path.shipment=networks/*/shipments/*}/path:update`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `path.shipment` | `string` Required. Shipment whose path is being described. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`.